<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>Vec</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="Vec"><H1>Vec</H1></A>
Abstract PETSc vector object 
<H3><FONT COLOR="#CC3333">Synopsis</FONT></H3>
<PRE>
typedef struct _p_Vec*         Vec;
</PRE>

<P>
<P>
<H3><FONT COLOR="#CC3333">See Also</FONT></H3>
  <A HREF="../Vec/VecCreate.html#VecCreate">VecCreate</A>(), <A HREF="../Vec/VecType.html#VecType">VecType</A>, <A HREF="../Vec/VecSetType.html#VecSetType">VecSetType</A>()
<BR><P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>beginner
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../src/vec/vec/../../../include/petscvec.h.html#Vec">src/vec/vec/../../../include/petscvec.h</A>
<BR><A HREF="./index.html">Index of all Vec routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
<P><H3><FONT COLOR="#CC3333">Examples</FONT></H3>
<A HREF="../../../src/vec/vec/examples/tutorials/ex7.c.html">src/vec/vec/examples/tutorials/ex7.c.html</A><BR>
<A HREF="../../../src/vec/vec/examples/tutorials/ex1f90.F.html">src/vec/vec/examples/tutorials/ex1f90.F.html</A><BR>
<A HREF="../../../src/mat/examples/tutorials/ex4.c.html">src/mat/examples/tutorials/ex4.c.html</A><BR>
<A HREF="../../../src/ksp/ksp/examples/tutorials/ex9.c.html">src/ksp/ksp/examples/tutorials/ex9.c.html</A><BR>
<A HREF="../../../src/ksp/ksp/examples/tutorials/ex15.c.html">src/ksp/ksp/examples/tutorials/ex15.c.html</A><BR>
<A HREF="../../../src/ksp/ksp/examples/tutorials/ex22.c.html">src/ksp/ksp/examples/tutorials/ex22.c.html</A><BR>
<A HREF="../../../src/ksp/ksp/examples/tutorials/ex25.c.html">src/ksp/ksp/examples/tutorials/ex25.c.html</A><BR>
<A HREF="../../../src/ksp/ksp/examples/tutorials/ex28.c.html">src/ksp/ksp/examples/tutorials/ex28.c.html</A><BR>
<A HREF="../../../src/ksp/ksp/examples/tutorials/ex29.c.html">src/ksp/ksp/examples/tutorials/ex29.c.html</A><BR>
<A HREF="../../../src/ksp/ksp/examples/tutorials/ex32.c.html">src/ksp/ksp/examples/tutorials/ex32.c.html</A><BR>
<A HREF="../../../src/ksp/ksp/examples/tutorials/ex33.c.html">src/ksp/ksp/examples/tutorials/ex33.c.html</A><BR>
</BODY></HTML>
